<?php
namespace Controller;

use Service\CollectorLog as CollectorLogService;

use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;

class CollectorLog extends Simple {

    protected $collectorLog;

    public function __construct(CollectorLogService $collectorLog) {
        $this->collectorLog = $collectorLog;
    }

    public function getLogList(DTO\Request $request, DTO\Response $response) {
        $logList = $this->collectorLog->getLogList();

        $response->addDataSet(new DataSet('log', $logList));
    }

    public function getLogContent(DTO\Request\Row $request, DTO\Response $response) {
        $logFileName = $request->getRow()['logName'];

        $logFile = $this->collectorLog->getLogContent($logFileName);

        $response->addDataSet(new DataSet('logFile', array(
            array('log' => $logFile)
        )));
    }
}