/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PREBASECLI                                               */
/* Tabela : PREBASECLI                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PRECOBASECLI' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PRECOBASECLI
GO

CREATE TRIGGER DTULTATU_PRECOBASECLI
ON PRECOBASECLI
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRECOBASECLI', null, 'CDCLIENTE='+ CDCLIENTE+ ';'+
                                           'CDPRECOBASE='+ CDPRECOBASE+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRECOBASECLI
      SET DTULTATUPRBC = GETDATE()
      FROM INSERTED;
   END;
END;
GO
